# Class CIM_TransformOfSecurityAssociation
extends CIM_ElementSettingData

TransformOfSecurityAssociation maps a SecurityAssociation Endpoint with the transform that it uses. For security, no keying material of the SA is exposed.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ElementSettingData
|
+--CIM_TransformOfSecurityAssociation

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | TransformOfSecurityAssociation maps a SecurityAssociation Endpoint with the transform that it uses. For security, no keying material of the SA is exposed.
UMLPackagePath | string | CIM::Network::IPsec
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
ManagedElement | CIM_TransformOfSecurityAssociation | CIM_IPsecSAEndpoint
SettingData | CIM_TransformOfSecurityAssociation | CIM_SATransform

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
IsCurrent | uint16 | CIM_ElementSettingData
IsDefault | uint16 | CIM_ElementSettingData
IsNext | uint16 | CIM_ElementSettingData

## Class Methods